diff --git a/ldap/servers/slapd/back-ldbm/ldbm_index_config.c b/ldap/servers/slapd/back-ldbm/ldbm_index_config.c
index c5ceacf..5d7aa2a 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_index_config.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_index_config.c
@@ -34,7 +34,7 @@ static int ldbm_index_parse_entry(ldbm_instance *inst, Slapi_Entry *e,
     /* Get the name of the attribute to index which will be the value
      * of the cn attribute. */
     if (slapi_entry_attr_find(e, "cn", &attr) != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY, "Warning: malformed index entry %s\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Warning: malformed index entry %s\n",
                   slapi_entry_get_dn(e), 0, 0);
         return LDAP_OPERATIONS_ERROR;
     }
@@ -42,7 +42,7 @@ static int ldbm_index_parse_entry(ldbm_instance *inst, Slapi_Entry *e,
     slapi_attr_first_value(attr, &sval);
     attrValue = slapi_value_get_berval(sval);
     if (NULL == attrValue->bv_val || 0 == attrValue->bv_len) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Warning: malformed index entry %s -- empty index name\n",
                    slapi_entry_get_dn(e), 0, 0);
         return LDAP_OPERATIONS_ERROR;
@@ -58,7 +58,7 @@ static int ldbm_index_parse_entry(ldbm_instance *inst, Slapi_Entry *e,
     	attrValue = slapi_value_get_berval(sval);
     	if (NULL == attrValue->bv_val || attrValue->bv_len == 0) {
     		/* missing the index type, error out */
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                      "Warning: malformed index entry %s -- empty nsIndexType\n",
                      slapi_entry_get_dn(e), 0, 0);
             slapi_ch_free_string(index_name);
@@ -198,7 +198,7 @@ ldbm_instance_index_config_modify_callback(Slapi_PBlock *pb, Slapi_Entry *e,
     *returncode = LDAP_SUCCESS;
 
     if(slapi_entry_attr_find(entryAfter, "cn", &attr) != 0){
-    	 LDAPDebug(LDAP_DEBUG_ANY,
+    	 LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
     			 "Warning: malformed index entry %s - missing cn attribute\n",
     			 slapi_entry_get_dn(entryAfter), 0, 0);
     	 *returncode = LDAP_OBJECT_CLASS_VIOLATION;
@@ -208,7 +208,7 @@ ldbm_instance_index_config_modify_callback(Slapi_PBlock *pb, Slapi_Entry *e,
     attrValue = slapi_value_get_berval(sval);
 
     if (NULL == attrValue->bv_val || 0 == attrValue->bv_len) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
         		"Warning: malformed index entry %s, missing index name\n",
         		slapi_entry_get_dn(e), 0, 0);
         *returncode =  LDAP_UNWILLING_TO_PERFORM;
@@ -217,7 +217,7 @@ ldbm_instance_index_config_modify_callback(Slapi_PBlock *pb, Slapi_Entry *e,
 
     ainfo_get(inst->inst_be, attrValue->bv_val, &ainfo);
     if (NULL == ainfo) {
-    	LDAPDebug(LDAP_DEBUG_ANY,
+    	LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
     			"Warning: malformed index entry %s - missing cn attribute info\n",
     			slapi_entry_get_dn(e), 0, 0);
     	*returncode = LDAP_UNWILLING_TO_PERFORM;
@@ -225,7 +225,7 @@ ldbm_instance_index_config_modify_callback(Slapi_PBlock *pb, Slapi_Entry *e,
     }
 
     if(slapi_entry_attr_find(entryAfter, "nsIndexType", &attr) != 0){
-    	 LDAPDebug(LDAP_DEBUG_ANY,
+    	 LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
     			 "Warning: malformed index entry %s - missing nsIndexType attribute\n",
     			 slapi_entry_get_dn(entryAfter), 0, 0);
     	 *returncode = LDAP_OBJECT_CLASS_VIOLATION;
@@ -259,7 +259,7 @@ int ldbm_instance_config_add_index_entry(
 
     /* get the cn value */
     if (slapi_entry_attr_find(e, "cn", &attr) != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY, "Warning: malformed index entry %s, missing cn attrbiute\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Warning: malformed index entry %s, missing cn attrbiute\n",
                   slapi_entry_get_dn(e), 0, 0);
         return -1;
     }
@@ -267,7 +267,7 @@ int ldbm_instance_config_add_index_entry(
     slapi_attr_first_value(attr, &sval);
     attrValue = slapi_value_get_berval(sval);
     if (NULL == attrValue->bv_val || 0 == attrValue->bv_len) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Warning: malformed index entry %s, missing index name\n",
                   slapi_entry_get_dn(e), 0, 0);
         return -1;
@@ -277,7 +277,7 @@ int ldbm_instance_config_add_index_entry(
 	dn = slapi_create_dn_string("cn=%s,cn=index,cn=%s,cn=%s,cn=plugins,cn=config",
                             basetype, inst->inst_name, li->li_plugin->plg_name);
 	if (NULL == dn) {
-		LDAPDebug(LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"ldbm_instance_config_add_index_entry: "
 				"failed create index dn with type %s for plugin %s, "
 				"instance %s\n",
@@ -304,7 +304,7 @@ int ldbm_instance_config_add_index_entry(
 			eBuf = PR_sprintf_append(eBuf, "nsIndexType: %s\n", attrValue->bv_val);
 		}
 	} else {
-		LDAPDebug(LDAP_DEBUG_ANY,
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"ldbm_instance_config_add_index_entry: "
 				"failed create index dn with type %s for plugin %s, "
 				"instance %s.  Missing nsIndexType\n",
@@ -377,7 +377,7 @@ int ldbm_instance_create_default_user_indexes(ldbm_instance *inst)
     int flags = LDBM_INSTANCE_CONFIG_DONT_WRITE;
 
     if (NULL == inst) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 		"Warning: can't initialize default user indexes (invalid instance).\n", 0,0,0);
         return -1;
     }
@@ -409,7 +409,7 @@ int ldbm_instance_create_default_user_indexes(ldbm_instance *inst)
                  * of the cn attribute.
                  */
                 if (slapi_entry_attr_find(entries[i], "cn", &attr) != 0) {
-                        LDAPDebug(LDAP_DEBUG_ANY,"Warning: malformed index entry %s. Index ignored.\n",
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Warning: malformed index entry %s. Index ignored.\n",
                                 slapi_entry_get_dn(entries[i]), 0, 0);
                         continue;
                 }
diff --git a/ldap/servers/slapd/back-ldbm/ldbm_instance_config.c b/ldap/servers/slapd/back-ldbm/ldbm_instance_config.c
index 698be66..cd7e820 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_instance_config.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_instance_config.c
@@ -469,7 +469,7 @@ parse_ldbm_instance_config_entry(ldbm_instance *inst, Slapi_Entry *e, config_inf
 
         if (ldbm_config_set((void *) inst, attr_name, config_array, bval,
             err_buf, CONFIG_PHASE_STARTUP, 1 /* apply */, LDAP_MOD_REPLACE) != LDAP_SUCCESS) {
-            LDAPDebug(LDAP_DEBUG_ANY, "Error with config attribute %s : %s\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error with config attribute %s : %s\n",
                       attr_name, err_buf, 0);
             return 1;
         }
@@ -521,7 +521,7 @@ ldbm_instance_config_load_dse_info(ldbm_instance *inst)
 
     search_pb = slapi_pblock_new();
     if (!search_pb) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                        "ldbm_instance_config_load_dse_info: Out of memory\n",
                        0, 0, 0);
         rval = 1;
@@ -535,7 +535,7 @@ ldbm_instance_config_load_dse_info(ldbm_instance *inst)
     slapi_pblock_get(search_pb, SLAPI_PLUGIN_INTOP_RESULT, &rval);
 
     if (rval != LDAP_SUCCESS) {
-        LDAPDebug(LDAP_DEBUG_ANY, "Error accessing the config DSE\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error accessing the config DSE\n", 0, 0, 0);
         rval = 1;
         goto bail;
     } else {
@@ -544,14 +544,14 @@ ldbm_instance_config_load_dse_info(ldbm_instance *inst)
         slapi_pblock_get(search_pb, SLAPI_PLUGIN_INTOP_SEARCH_ENTRIES,
                          &entries);
         if ((!entries) || (!entries[0])) {
-            LDAPDebug(LDAP_DEBUG_ANY, "Error accessing the config DSE\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error accessing the config DSE\n",
                       0, 0, 0);
             rval = 1;
             goto bail;
         }
         if (0 != parse_ldbm_instance_config_entry(inst, entries[0],
                                          ldbm_instance_config)) {
-            LDAPDebug(LDAP_DEBUG_ANY, "Error parsing the config DSE\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Error parsing the config DSE\n",
                       0, 0, 0);
             rval = 1;
             goto bail;
@@ -759,7 +759,7 @@ ldbm_instance_modify_config_entry_callback(Slapi_PBlock *pb, Slapi_Entry* entryB
 
     if (!returntext) {
         rc = LDAP_OPERATIONS_ERROR;
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "ldbm_instance_modify_config_entry_callback: "
                   "NULL return text\n",
                   0, 0, 0);
@@ -781,7 +781,7 @@ ldbm_instance_modify_config_entry_callback(Slapi_PBlock *pb, Slapi_Entry* entryB
                 rc = LDAP_UNWILLING_TO_PERFORM;
                 PR_snprintf(returntext, SLAPI_DSE_RETURNTEXT_SIZE,
                             "Can't change the root suffix of a backend");
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "ldbm: modify attempted to change the root suffix "
                           "of a backend (which is not allowed)\n",
                           0, 0, 0);
@@ -836,7 +836,7 @@ ldbm_instance_config_internal_set(ldbm_instance *inst, char *attrname, char *val
 
     if (ldbm_config_set((void *) inst, attrname, ldbm_instance_config, &bval, 
         err_buf, CONFIG_PHASE_INTERNAL, 1 /* apply */, LDAP_MOD_REPLACE) != LDAP_SUCCESS) {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
             "Internal Error: Error setting instance config attr %s to %s: %s\n", 
             attrname, value, err_buf);
         exit(1);
@@ -902,7 +902,7 @@ ldbm_instance_postadd_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry* ent
     parse_ldbm_instance_entry(entryBefore, &instance_name);
     rval = ldbm_instance_generate(li, instance_name, &be);
     if (rval) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "ldbm_instance_postadd_instance_entry_callback: "
             "ldbm_instance_generate (%s) failed (%d)\n",
             instance_name, rval, 0);
@@ -922,7 +922,7 @@ ldbm_instance_postadd_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry* ent
     rval = ldbm_instance_start(be);
     if (0 != rval)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "ldbm_instance_postadd_instance_entry_callback: "
             "ldbm_instnace_start (%s) failed (%d)\n",
             instance_name, rval, 0);
@@ -949,7 +949,7 @@ ldbm_instance_add_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry* entryBe
     /* Make sure we don't create two instances with the same name. */
     inst = ldbm_instance_find_by_name(li, instance_name);
     if (inst != NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "WARNING: ldbm instance %s already exists\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "WARNING: ldbm instance %s already exists\n",
                   instance_name, 0, 0);
         if (returntext != NULL)
             PR_snprintf(returntext, SLAPI_DSE_RETURNTEXT_SIZE, "An ldbm instance with the name %s already exists\n",
@@ -1092,7 +1092,7 @@ ldbm_instance_post_delete_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry*
     inst = ldbm_instance_find_by_name(li, instance_name);
 
     if (inst == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm: instance '%s' does not exist! (2)\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm: instance '%s' does not exist! (2)\n",
                   instance_name, 0, 0);
         if (returntext) {
             PR_snprintf(returntext, SLAPI_DSE_RETURNTEXT_SIZE, "No ldbm instance exists with the name '%s' (2)\n",
@@ -1105,7 +1105,7 @@ ldbm_instance_post_delete_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry*
         return SLAPI_DSE_CALLBACK_ERROR;
     }
 
-    LDAPDebug(LDAP_DEBUG_ANY, "ldbm: removing '%s'.\n", instance_name, 0, 0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm: removing '%s'.\n", instance_name, 0, 0);
 
     cache_destroy_please(&inst->inst_cache, CACHE_TYPE_ENTRY);
     if (entryrdn_get_switch()) { /* subtree-rename: on */
@@ -1140,7 +1140,7 @@ ldbm_instance_post_delete_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry*
 
                         dbp = PR_smprintf("%s/%s", inst_dirp, direntry->name);
                         if (NULL == dbp) {
-                            LDAPDebug (LDAP_DEBUG_ANY,
+                            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                             "ldbm_instance_post_delete_instance_entry_callback:"
                             " failed to generate db path: %s/%s\n",
                             inst_dirp, direntry->name, 0);
@@ -1201,7 +1201,7 @@ ldbm_instance_delete_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry* entr
     parse_ldbm_instance_entry(entryBefore, &instance_name);
     inst = ldbm_instance_find_by_name(li, instance_name);
     if (inst == NULL) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm: instance '%s' does not exist!\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm: instance '%s' does not exist!\n",
                   instance_name, 0, 0);
         if (returntext) {
             PR_snprintf(returntext, SLAPI_DSE_RETURNTEXT_SIZE, "No ldbm instance exists with the name '%s'\n",
@@ -1217,7 +1217,7 @@ ldbm_instance_delete_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry* entr
     /* check if some online task is happening */
     if ((instance_set_busy(inst) != 0) ||
         (slapi_counter_get_value(inst->inst_ref_count) > 0)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "ldbm: '%s' is in the middle of a task. "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm: '%s' is in the middle of a task. "
                   "Cancel the task or wait for it to finish, "
                   "then try again.\n", instance_name, 0, 0);
         if (returntext) {
@@ -1233,7 +1233,7 @@ ldbm_instance_delete_instance_entry_callback(Slapi_PBlock *pb, Slapi_Entry* entr
     }
 
     /* okay, we're gonna delete this database instance.  take it offline. */
-    LDAPDebug(LDAP_DEBUG_ANY, "ldbm: Bringing %s offline...\n",
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "ldbm: Bringing %s offline...\n",
               instance_name, 0, 0);
     slapi_mtn_be_stopping(inst->inst_be);
     dblayer_instance_close(inst->inst_be);
diff --git a/ldap/servers/slapd/back-ldbm/ldbm_modify.c b/ldap/servers/slapd/back-ldbm/ldbm_modify.c
index 34d9861..1398797 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_modify.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_modify.c
@@ -88,7 +88,7 @@ int modify_switch_entries(modify_context *mc,backend *be)
 	if (mc->old_entry && mc->new_entry) {
 		ret = cache_replace(&(inst->inst_cache), mc->old_entry, mc->new_entry);
 		if (ret) {
-			LDAPDebug(LDAP_DEBUG_CACHE, "modify_switch_entries: replacing %s with %s failed (%d)\n",
+			LDAPDebug(LDAP_DEBUG_CACHE, LOG_DEBUG, "modify_switch_entries: replacing %s with %s failed (%d)\n",
 			          slapi_entry_get_dn(mc->old_entry->ep_entry), 
 			          slapi_entry_get_dn(mc->new_entry->ep_entry), ret);
 		}
@@ -133,7 +133,7 @@ modify_unswitch_entries(modify_context *mc,backend *be)
 			cache_unlock_entry(&inst->inst_cache, mc->new_entry);
 			cache_lock_entry(&inst->inst_cache, mc->old_entry);
 		} else {
-			LDAPDebug(LDAP_DEBUG_CACHE, "modify_unswitch_entries: replacing %s with %s failed (%d)\n",
+			LDAPDebug(LDAP_DEBUG_CACHE, LOG_DEBUG, "modify_unswitch_entries: replacing %s with %s failed (%d)\n",
 			          slapi_entry_get_dn(mc->old_entry->ep_entry), 
 			          slapi_entry_get_dn(mc->new_entry->ep_entry), ret);
 		}
@@ -708,7 +708,7 @@ ldbm_back_modify( Slapi_PBlock *pb )
 			continue;
 		}
 		if (0 != retval) {
-			LDAPDebug( LDAP_DEBUG_ANY, "id2entry_add failed, err=%d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "id2entry_add failed, err=%d %s\n",
 				   retval, (msg = dblayer_strerror( retval )) ? msg : "", 0 );
 			if (LDBM_OS_ERR_IS_DISKFULL(retval)) disk_full = 1;
 			MOD_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
@@ -721,7 +721,7 @@ ldbm_back_modify( Slapi_PBlock *pb )
 			continue;
 		}
 		if (0 != retval) {
-			LDAPDebug( LDAP_DEBUG_ANY, "index_add_mods failed, err=%d %s\n",
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "index_add_mods failed, err=%d %s\n",
 				  retval, (msg = dblayer_strerror( retval )) ? msg : "", 0 );
 			if (LDBM_OS_ERR_IS_DISKFULL(retval)) disk_full = 1;
 			MOD_SET_ERROR(ldap_result_code, LDAP_OPERATIONS_ERROR, retry_count);
@@ -740,7 +740,7 @@ ldbm_back_modify( Slapi_PBlock *pb )
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug( LDAP_DEBUG_ANY, 
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
 					"vlv_update_index failed, err=%d %s\n",
 					retval, (msg = dblayer_strerror( retval )) ? msg : "", 0 );
 				if (LDBM_OS_ERR_IS_DISKFULL(retval)) disk_full = 1;
@@ -754,7 +754,7 @@ ldbm_back_modify( Slapi_PBlock *pb )
 		if (!is_ruv && !is_fixup_operation && !NO_RUV_UPDATE(li)) {
 			ruv_c_init = ldbm_txn_ruv_modify_context( pb, &ruv_c );
 			if (-1 == ruv_c_init) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"ldbm_back_modify: ldbm_txn_ruv_modify_context "
 					"failed to construct RUV modify context\n",
 					0, 0, 0);
@@ -771,7 +771,7 @@ ldbm_back_modify( Slapi_PBlock *pb )
 				continue;
 			}
 			if (0 != retval) {
-				LDAPDebug( LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"modify_update_all failed, err=%d %s\n", retval,
 					(msg = dblayer_strerror( retval )) ? msg : "", 0 );
 				if (LDBM_OS_ERR_IS_DISKFULL(retval))
@@ -786,7 +786,7 @@ ldbm_back_modify( Slapi_PBlock *pb )
 		}
 	}
 	if (retry_count == RETRY_TIMES) {
-		LDAPDebug( LDAP_DEBUG_ANY, "Retry count exceeded in modify\n", 0, 0, 0 );
+		LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Retry count exceeded in modify\n", 0, 0, 0 );
 	   	ldap_result_code= LDAP_BUSY;
 		goto error_return;
 	}
@@ -794,7 +794,7 @@ ldbm_back_modify( Slapi_PBlock *pb )
 	if (ruv_c_init) {
 		if (modify_switch_entries(&ruv_c, be) != 0 ) {
 			ldap_result_code= LDAP_OPERATIONS_ERROR;
-			LDAPDebug( LDAP_DEBUG_ANY,
+			LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 				"ldbm_back_modify: modify_switch_entries failed\n", 0, 0, 0);
 			goto error_return;
 		}
